## python-keystoneclient 2.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

iso8601>=0.1.9 # MIT
debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
positional>=1.0.1 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-keystoneclient (1:2.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:17:46 +0000

python-keystoneclient (1:2.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/debian/patches/drop-doc-conf-git.patch: Drop git from sphinx config
    file as git repository is not avialable during package builds.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:46:02 +0000

python-keystoneclient (1:2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed all debian/patches.
  * Also running tests in Python 3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 05:53:17 +0000

python-keystoneclient (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed ordered-dict-copy.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 16:21:26 +0100

python-keystoneclient (1:1.7.1-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:42:45 +0000

python-keystoneclient (1:1.7.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:00:59 +0000

python-keystoneclient (1:1.7.1-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/ordered-dict-copy.patch: Iterate over copy of session.adapters
    keys in Python2/3.

  [ Thomas Goirand ]
  * Added runtime python-lxml Depends: after Monty advised for it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 21:02:09 +0000

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python-sphinx,
Build-Depends-Indep: bandit,
                     memcached,
                     python-bandit,
                     python-coverage,
                     python-debtcollector,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keyring (>= 5.5.1),
                     python-keystoneauth1 (>= 2.1.0),
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oauthlib,
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-positional,
                     python-prettytable,
                     python-pysaml2 (>= 3.0.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-bandit,
                     python3-coverage,
                     python3-debtcollector,
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-hacking (>= 0.10.0),
                     python3-keyring (>= 5.5.1),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-lxml,
                     python3-memcache (>= 1.56),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-oauthlib,
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-positional,
                     python3-prettytable,
                     python3-pysaml2 (>= 3.0.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testresources,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneclient.git/
XS-Testsuite: autopkgtest

Package: python-keystoneclient
Architecture: all
Depends: python-debtcollector,
         python-iso8601,
         python-keyring (>= 5.5.1),
         python-keystoneauth1 (>= 2.1.0),
         python-lxml,
         python-oslo.config (>= 1:3.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-positional,
         python-prettytable,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Description: client library for the OpenStack Keystone API - Python 2.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python-openstackclient" package.
 .
 This package contains the Python 2.x module.

Package: python3-keystoneclient
Architecture: all
Depends: python3-debtcollector,
         python3-iso8601,
         python3-keyring (>= 5.5.1),
         python3-keystoneauth1 (>= 2.1.0),
         python3-lxml,
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-positional,
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

Package: python-keystoneclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystoneclient ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-keystoneclient ; \
	done
	mv $(CURDIR)/debian/python-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python-keystoneclient/usr/bin/python2-keystone
	mv $(CURDIR)/debian/python3-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python3-keystoneclient/usr/bin/python3-keystone
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/keystone.bash_completion $(CURDIR)/debian/python-keystoneclient/usr/share/bash-completion/completions/keystone.bash_completion
	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/keystoneclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	rm -rf doc/man .testrepository


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman -O--buildsystem=python_distutils
endif

## python-keystoneclient 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=2.7.0 # Apache-2.0
oslo.config>=3.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.14.0 # Apache-2.0
positional>=1.0.1 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-keystoneclient (1:3.2.0-4) unstable; urgency=medium

  * Defines RES_OPTIONS=attempts:0 to avoid network access (Closes: #840729).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:28:01 +0100

python-keystoneclient (1:3.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Patch for OpenSSL >= 1.1.0 failing tests

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 02 Dec 2016 10:17:50 +0100

python-keystoneclient (1:3.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:59 +0200

python-keystoneclient (1:3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed import-warnings.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 14:57:18 +0000

python-keystoneclient (1:3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update to Newton branch.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-doc-conf-git.patch: Dropped. Fixed upstream.
  * d/rules: Drop install of keystone.bash_completion. It's been removed
    from upstream in favor of the openstack CLI.
  * d/python(3)-keystoneclient.*, d/rules, d/tests: Drop keystone CLI and man
    page. They've been removed from upstream in favor of the openstack CLI.
  * d/rules: Set html_last_updated_fmt for doc/source/conf.py when building
    docs.
  * d/p/import-warnings.patch: import warnings in doc/source/conf.py.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 16:23:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,104 +3,100 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Corey Bryant <corey.bryant@canonical.com>
-Build-Depends: debhelper (>= 9),
+           Corey Bryant <corey.bryant@canonical.com>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
+               python-sphinx,
                python3-all,
                python3-pbr (>= 1.8),
-               python-sphinx,
 Build-Depends-Indep: bandit,
                      memcached,
                      python-bandit,
                      python-coverage,
                      python-debtcollector,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-iso8601,
                      python-keyring (>= 5.5.1),
-                     python-keystoneauth1 (>= 2.1.0),
+                     python-keystoneauth1 (>= 2.7.0),
                      python-lxml,
                      python-memcache (>= 1.56),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-mox3,
                      python-oauthlib,
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.14.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-pep8,
                      python-positional,
-                     python-prettytable,
                      python-pysaml2 (>= 3.0.0),
-                     python-requests (>= 2.8.1),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.10.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-bandit,
                      python3-coverage,
                      python3-debtcollector,
-                     python3-fixtures (>= 1.3.1),
-                     python3-iso8601,
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
                      python3-keyring (>= 5.5.1),
-                     python3-keystoneauth1 (>= 2.1.0),
+                     python3-keystoneauth1 (>= 2.7.0),
                      python3-lxml,
                      python3-memcache (>= 1.56),
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-mox3,
                      python3-oauthlib,
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.config (>= 1:3.10.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.14.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-pep8,
                      python3-positional,
-                     python3-prettytable,
                      python3-pysaml2 (>= 3.0.0),
-                     python3-requests (>= 2.8.1),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
+                     python3-tempest (>= 1:12.1.0),
                      python3-testresources,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
+                     tempest (>= 1:12.1.0),
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneclient.git/
+Vcs-Git: https://git.openstack.org/openstack/deb-python-keystoneclient -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystoneclient?h=debian%2Fnewton
 XS-Testsuite: autopkgtest
 
 Package: python-keystoneclient
 Architecture: all
 Depends: python-debtcollector,
-         python-iso8601,
          python-keyring (>= 5.5.1),
-         python-keystoneauth1 (>= 2.1.0),
+         python-keystoneauth1 (>= 2.7.0),
          python-lxml,
-         python-oslo.config (>= 1:3.7.0),
+         python-oslo.config (>= 1:3.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.14.0),
          python-pbr (>= 1.8),
          python-positional,
-         python-prettytable,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          ${misc:Depends},
          ${python:Depends},
 Description: client library for the OpenStack Keystone API - Python 2.x
@@ -123,20 +119,18 @@
 Package: python3-keystoneclient
 Architecture: all
 Depends: python3-debtcollector,
-         python3-iso8601,
          python3-keyring (>= 5.5.1),
-         python3-keystoneauth1 (>= 2.1.0),
+         python3-keystoneauth1 (>= 2.7.0),
          python3-lxml,
-         python3-oslo.config (>= 1:3.7.0),
+         python3-oslo.config (>= 1:3.10.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.14.0),
          python3-pbr (>= 1.8),
          python3-positional,
-         python3-prettytable,
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: client library for the OpenStack Keystone API - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
+
+export RES_OPTIONS=attempts:0
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -18,8 +24,6 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-keystoneclient ; \
 	done
-	mv $(CURDIR)/debian/python-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python-keystoneclient/usr/bin/python2-keystone
-	mv $(CURDIR)/debian/python3-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python3-keystoneclient/usr/bin/python3-keystone
 	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 
 override_dh_python3:
@@ -27,7 +31,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	install -D -m 0644 tools/keystone.bash_completion $(CURDIR)/debian/python-keystoneclient/usr/share/bash-completion/completions/keystone.bash_completion
 	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/keystoneclient
 
 override_dh_auto_test:
@@ -49,7 +52,7 @@
 	dh_clean
 
 override_dh_auto_clean:
-	rm -rf doc/man .testrepository
+	rm -rf .testrepository
 
 
 override_dh_sphinxdoc:
@@ -57,9 +60,3 @@
 	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
-
-override_dh_installman:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source/ doc/man
-	dh_installman -O--buildsystem=python_distutils
-endif

## python-keystoneclient 3.5.0

=== debian/changelog ===
python-keystoneclient (1:3.5.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 31 Aug 2016 20:10:07 +0000

python-keystoneclient (1:3.5.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add python-pep8 to BDs.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:50:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-keystoneclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -21,25 +22,25 @@
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
                      python-keyring (>= 5.5.1),
-                     python-keystoneauth1 (>= 2.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-lxml,
                      python-memcache (>= 1.56),
                      python-mock (>= 2.0),
                      python-mox3,
                      python-oauthlib,
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.14.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-pep8,
                      python-positional,
                      python-pysaml2 (>= 3.0.0),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest (>= 1:12.1.0),
                      python-testresources,
                      python-testscenarios,
@@ -50,24 +51,24 @@
                      python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
                      python3-keyring (>= 5.5.1),
-                     python3-keystoneauth1 (>= 2.7.0),
+                     python3-keystoneauth1 (>= 2.10.0),
                      python3-lxml,
                      python3-memcache (>= 1.56),
                      python3-mock (>= 2.0),
                      python3-mox3,
                      python3-oauthlib,
-                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.14.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-pep8,
                      python3-positional,
                      python3-pysaml2 (>= 3.0.0),
                      python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 1.0.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-tempest (>= 1:12.1.0),
                      python3-testresources,
@@ -78,25 +79,25 @@
                      testrepository,
 Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://git.openstack.org/openstack/deb-python-keystoneclient -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystoneclient?h=debian%2Fnewton
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneclient.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneclient.git/
 XS-Testsuite: autopkgtest
 
 Package: python-keystoneclient
 Architecture: all
 Depends: python-debtcollector,
          python-keyring (>= 5.5.1),
-         python-keystoneauth1 (>= 2.7.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-lxml,
-         python-oslo.config (>= 1:3.10.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.14.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-positional,
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python:Depends},
 Description: client library for the OpenStack Keystone API - Python 2.x
@@ -120,17 +121,17 @@
 Architecture: all
 Depends: python3-debtcollector,
          python3-keyring (>= 5.5.1),
-         python3-keystoneauth1 (>= 2.7.0),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-lxml,
-         python3-oslo.config (>= 1:3.10.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.14.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-positional,
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: client library for the OpenStack Keystone API - Python 3.x

## python-keystoneclient 3.10.0

=== debian/changelog ===
python-keystoneclient (1:3.10.0-2) unstable; urgency=medium

  * Fix issues after Thomas's merge

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Jul 2018 09:02:11 +0100

python-keystoneclient (1:3.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 31 Jul 2017 08:56:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-keystoneclient
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -22,7 +21,7 @@
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
                      python-keyring (>= 5.5.1),
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-lxml,
                      python-memcache (>= 1.56),
                      python-mock (>= 2.0),
@@ -31,16 +30,16 @@
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pep8,
                      python-positional,
                      python-pysaml2 (>= 3.0.0),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0.0),
+                     python-requests-mock (>= 1.1.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-tempest (>= 1:12.1.0),
                      python-testresources,
                      python-testscenarios,
@@ -51,7 +50,7 @@
                      python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
                      python3-keyring (>= 5.5.1),
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-lxml,
                      python3-memcache (>= 1.56),
                      python3-mock (>= 2.0),
@@ -60,15 +59,15 @@
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-pep8,
                      python3-positional,
                      python3-pysaml2 (>= 3.0.0),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.0.0),
+                     python3-requests-mock (>= 1.1.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-tempest (>= 1:12.1.0),
                      python3-testresources,
@@ -78,26 +77,26 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystoneclient.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystoneclient.git -b debian/ocata
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneclient.git/
 XS-Testsuite: autopkgtest
 
 Package: python-keystoneclient
 Architecture: all
 Depends: python-debtcollector,
          python-keyring (>= 5.5.1),
-         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneauth1 (>= 2.18.0),
          python-lxml,
          python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-positional,
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends},
 Description: client library for the OpenStack Keystone API - Python 2.x
@@ -121,17 +120,17 @@
 Architecture: all
 Depends: python3-debtcollector,
          python3-keyring (>= 5.5.1),
-         python3-keystoneauth1 (>= 2.10.0),
+         python3-keystoneauth1 (>= 2.18.0),
          python3-lxml,
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-positional,
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends},
 Description: client library for the OpenStack Keystone API - Python 3.x

## python-keystoneclient 3.13.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
positional>=1.1.1 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-keystoneclient (1:3.13.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 19:03:30 -0400

python-keystoneclient (1:3.10.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Jan 2017 09:47:38 -0500

python-keystoneclient (1:3.9.0-0ubuntu2) zesty; urgency=medium

  * d/control: Remove bandit since its not used in unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 15 Jan 2017 21:38:10 -0500

python-keystoneclient (1:3.9.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 10:20:22 -0500

python-keystoneclient (1:3.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 14:02:21 -0500

python-keystoneclient (1:3.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control:  Bump version dependenices.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 10:57:22 -0500

python-keystoneclient (1:3.6.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:19:31 -0400

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
Build-Depends-Indep: memcached,
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-keyring (>= 5.5.1),
                     python-keystoneauth1 (>= 3.0.1),
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-oauthlib (>= 0.6),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.1.1),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-stevedore (>= 1.20.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-keyring (>= 5.5.1),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-lxml (>= 2.3),
                     python3-mock (>= 2.0),
                     python3-oauthlib (>= 0.6),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-positional (>= 1.1.1),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testresources (>= 0.2.4),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
XS-Testsuite: autopkgtest

Package: python-keystoneclient
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-keyring (>= 5.5.1),
         python-keystoneauth1 (>= 3.0.1),
         python-lxml (>= 2.3),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-positional (>= 1.1.1),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Description: client library for the OpenStack Keystone API - Python 2.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python-openstackclient" package.
 .
 This package contains the Python 2.x module.

Package: python3-keystoneclient
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-keyring (>= 5.5.1),
         python3-keystoneauth1 (>= 3.0.1),
         python3-lxml (>= 2.3),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-positional (>= 1.1.1),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

Package: python-keystoneclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.
